PT BIA - Bug #1912

[HR - Time Management] Absence Quota tidak berkurang

01/06/2023 04:27 PM - Moch Alinafia

Status: Closed
Priority: Urgent
Assignee: Moch Alinafia
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

01/06/2023

0%
0.00 hour
6.00 hours

Description
Dear Mas Azid,

Mohon untuk diperbaiki masalah yang masih terjadi, yaitu quota cuti di MD Absence Quota tidak berkurang.

Contoh dapat dilihat pada file yang saya cantumkan.
contoh employee : 11110031
Port : http://hris-bia-dev.minovais.com:11137/

Server : 45.251.75.66
DB : MinovaES_BIA_Dev

Menu : HR > HR Administration > Time Management > Time Data > Absence Quota

Semoga dapat dimengerti

Terimakasih

History

#1 - 01/06/2023 04:27 PM - Moch Alinafia
- File deleted (clipboard-202210071108-739gv.png)

#2 - 01/06/2023 04:27 PM - Moch Alinafia
- File deleted (clipboard-202210071108-i9xuz.png)

#3 - 01/06/2023 04:30 PM - Moch Alinafia
related dengan redmine 1676, 1630

#4 - 01/09/2023 11:54 AM - M Azid Wahyudi
- Status changed from New to QA Test
- Assignee changed from M Azid Wahyudi to Moch Alinafia

dear bang ali,, udah bisa di test ya
package :

update API1 dan API2 :
API1 = MinovalS.MinovaES.Implementation.Data.Element.dl|
API2 = MinovalS.MinovaES.Implementation.Data.Element.dll

create sp :
- GetTotalTaken

cek di table PCMFUNC
- fnHitungAbsen2

update file ...\U\scripts\mdgenerator.js

pada line 126 menjadi :

waitMsg: 'Saving Data...",

success: function (response) {

var result = Ext.decode(response.responseText);
if (result.success) {
http://hris-bia-dev.minovais.com:11137/

if (tableName =="PHRPA0018') {

var RemainQuota = frm.getValues(). TotalAbsenceTaken;
var EmployeelD = frm.getValues().EmployeelD;

var AbsenceQuotaType = frm.getValues().AbsenceType;
MinovaUltil.ExecuteParamQuery({

ID: "SETPHRPAOQ017",

RemainQuota:RemainQuota,

EmployeelD:EmployeelD,
AbsenceQuotaType:AbsenceQuotaType

}, function(s) {

try {

var result = Ext.decode(s.responseText).data;

var dataGrid = Ext.decode(Ext.decode(result));

} catch (e) {}

}, function(f) {});

}
TAMBAHAN PADA TABLE PCMWFCUSTPARAM
ID: SETPHRPAOQ017

makasih

#5 - 03/07/2023 10:10 AM - Moch Alinafia
- Status changed from QA Test to Closed
